# Разработка ПО систем управления

[Необходимые программы.](tools)

## Лекции

1. [Основы языка C++](lectures/lecture01)
2. [Системы контроля версий](lectures/lecture02)
3. [Структурирование кода и данных (функции, указатели)](lectures/lecture03)
4. Сборка программ из нескольких файлов
    ([презентация c 17 слайда](http://uit.mpei.ru/study/courses/cs/lecture03_decomposition-2021.pdf?page=17))
5. Ввод-вывод, модульное тестирование
6. Библиотеки ([презентация](http://uit.mpei.ru/study/courses/cs/lecture07_library.pdf))
7. [Низкоуровневое программирование](lectures/lecture07)
8. Объектно-ориентированное программирование

## Лабораторные работы

1. [Основы языка C++](labs/lab01)
2. [Система контроля версий Git](labs/lab02)
3. [Структурирование программ](labs/lab03)
4. [Использование библиотек](labs/lab04)

## Ресурсы

### C++

#### Книги

* Харви Дейтел, Пол Дейтел. [Как программировать на C++][deitel-cpp]
* Харви Дейтел, Пол Дейтел. [Как программировать на C][deitel-c]
    (их больше в библиотеке)
* Страуструп Б. Программирование: принципы и практика использования C++ =
    Bjarne Stroustrup. Programming: Principles and Practices Using C++

[deitel-c]: http://opac.mpei.ru/OpacUnicode/app/webroot/index.php?url=/notices/index/195855/default/302191
[deitel-cpp]: http://opac.mpei.ru/OpacUnicode/app/webroot/index.php?url=/notices/index/19416/default/302191

#### Ссылки

* <http://cppreference.com> — справочник.
* [Конспект лекций по C и C++](http://natalia.appmat.ru/c&c++/)
    Натальи Владимировны Чибизовой, кафедра ПМ.

### Git

* [Pro Git](http://git-scm.com/book/ru)
* [Тренажёр-самоучитель](https://learngitbranching.js.org/?locale=ru_RU)
* [Шпаргалка](https://github.com/ValeryLVS/Git)
* [Git® Notes for Professionals](https://goalkicker.com/GitBook/)
* [Git для самых маленьких. От первой команды до настройки SSH](https://habr.com/ru/articles/891050/)

## Преподаватели

* [Козлюк Дмитрий Александрович](mailto:KozliukDA@mpei.ru) — лектор
* Филатов Сергей Александрович
* Прокопенко Сергей Александрович
